Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class KeyStatisticsReport

    java.lang.Object
      com.sun.mdm.index.report.Report
          com.sun.mdm.index.report.KeyStatisticsReport

All Implemented Interfaces:
  java.io.Serializable

public class KeyStatisticsReport
extends Report

Report class for key stats

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ADD_FUNCTION`
`static int` | `ADD_INDEX`
`static java.lang.String` | `DEACTIVATE_FUNCTION`
`static int` | `DEACTIVATE_INDEX`
`static java.lang.String` | `EUID_MERGE_FUNCTION`
`static int` | `EUID_MERGE_INDEX`
`static java.lang.String` | `EUID_UNMERGE_FUNCTION`
`static int` | `EUID_UNMERGE_INDEX`
`static java.lang.String` | `LID_MERGE_FUNCTION`
`static int` | `LID_MERGE_INDEX`
`static java.lang.String` | `LID_TRANSFER_FUNCTION`
`static java.lang.String` | `LID_UNMERGE_FUNCTION`
`static int` | `LID_UNMERGE_INDEX`
`static int` | `RESOLVED_POT_DUP_INDEX`
`static int` | `UNRESOLVED_POT_DUP_INDEX`
`static java.lang.String` | `UPDATE_FUNCTION`

Fields inherited from class com.sun.mdm.index.report.Report
`mConfig`

Constructor Summary
`KeyStatisticsReport(ReportConfig config)` Creates a new instance of KeyStatisticsReport

Method Summary
`java.util.ArrayList` | `getAddCountsForWeek()` Getter for Add function counts for each day of the week.
`java.util.ArrayList` | `getDailyTotalsForWeek()` Getter for Daily Totals for each day of the week.
`java.util.ArrayList` | `getDeactivateCountsForWeek()` Getter for Deactivate function counts for each day of the week.
`java.util.ArrayList` | `getEuidMergeCountsForWeek()` Getter for Euid Merge function counts for each day of the week.
`java.util.ArrayList` | `getEuidUnmergeCountsForWeek()` Getter for Euid Unmerge function counts for each day of the week.
`java.util.ArrayList` | `getLidMergeCountsForWeek()` Getter for Lid Merge function counts for each day of the week.
`java.util.ArrayList` | `getLidTransferCountsForWeek()` Getter for Lid Transfer function counts for each day of the week.
`java.util.ArrayList` | `getLidUnmergeCountsForWeek()` Getter for Lid Unmerge function counts for each day of the week.
`java.util.Date` | `getStartDate()` Getter for start date.
`java.util.ArrayList` | `getTransactionTotals()` Getter for transaction totals.
`java.util.ArrayList` | `getUpdateCountsForWeek()` Getter for Update function counts for each day of the week.
`void` | `setAddCount(int count)` Setter for Add count.
`void` | `setAddCountsForWeek(java.util.ArrayList countArr)` Setter for Add function counts for each day of the week.
`void` | `setDailyTotalsForWeek(java.util.ArrayList countArr)` Setter for Daily Totals for each day of the week.
`void` | `setDeactivateCount(int count)` Setter for Deactivate count.
`void` | `setDeactivateCountsForWeek(java.util.ArrayList countArr)` Setter for Deactivate function counts for each day of the week.
`void` | `setEuidMergeCount(int count)` Setter for Euid Merge count.
`void` | `setEuidMergeCountsForWeek(java.util.ArrayList countArr)` Setter for Euid Merge function counts for each day of the week.
`void` | `setEuidUnmergeCount(int count)` Setter for Euid Unmerge count.
`void` | `setEuidUnmergeCountsForWeek(java.util.ArrayList countArr)` Setter for Euid Unmerge function counts for each day of the week.
`void` | `setLidMergeCount(int count)` Setter for Lid Merge count.
`void` | `setLidMergeCountsForWeek(java.util.ArrayList countArr)` Setter for Lid Merge function counts for each day of the week.
`void` | `setLidTransferCountsForWeek(java.util.ArrayList countArr)` Setter for Lid Transfer function counts for each day of the week.
`void` | `setLidUnmergeCount(int count)` Setter for Lid Unmerge count.
`void` | `setLidUnmergeCountsForWeek(java.util.ArrayList countArr)` Setter for Lid Unmerge function counts for each day of the week.
`void` | `setResolvedPotDupCount(int count)` Setter for Resolved Potential Duplicate count.
`void` | `setStartDate(java.util.Date sDate)` Setter for start date.
`void` | `setUnresolvedPotDupCount(int count)` Setter for Unresolved Potential Duplicate count.
`void` | `setUpdateCountsForWeek(java.util.ArrayList countArr)` Setter for Update function counts for each day of the week.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_FUNCTION

    public static final java.lang.String ADD_FUNCTION

See Also:
  Constant Field Values

### ADD_INDEX

    public static final int ADD_INDEX

See Also:
  Constant Field Values

### DEACTIVATE_FUNCTION

    public static final java.lang.String DEACTIVATE_FUNCTION

See Also:
  Constant Field Values

### DEACTIVATE_INDEX

    public static final int DEACTIVATE_INDEX

See Also:
  Constant Field Values

### EUID_MERGE_FUNCTION

    public static final java.lang.String EUID_MERGE_FUNCTION

See Also:
  Constant Field Values

### EUID_MERGE_INDEX

    public static final int EUID_MERGE_INDEX

See Also:
  Constant Field Values

### EUID_UNMERGE_FUNCTION

    public static final java.lang.String EUID_UNMERGE_FUNCTION

See Also:
  Constant Field Values

### EUID_UNMERGE_INDEX

    public static final int EUID_UNMERGE_INDEX

See Also:
  Constant Field Values

### LID_MERGE_FUNCTION

    public static final java.lang.String LID_MERGE_FUNCTION

See Also:
  Constant Field Values

### LID_MERGE_INDEX

    public static final int LID_MERGE_INDEX

See Also:
  Constant Field Values

### LID_TRANSFER_FUNCTION

    public static final java.lang.String LID_TRANSFER_FUNCTION

See Also:
  Constant Field Values

### LID_UNMERGE_FUNCTION

    public static final java.lang.String LID_UNMERGE_FUNCTION

See Also:
  Constant Field Values

### LID_UNMERGE_INDEX

    public static final int LID_UNMERGE_INDEX

See Also:
  Constant Field Values

### RESOLVED_POT_DUP_INDEX

    public static final int RESOLVED_POT_DUP_INDEX

See Also:
  Constant Field Values

### UNRESOLVED_POT_DUP_INDEX

    public static final int UNRESOLVED_POT_DUP_INDEX

See Also:
  Constant Field Values

### UPDATE_FUNCTION

    public static final java.lang.String UPDATE_FUNCTION

See Also:
  Constant Field Values

Constructor Detail

### KeyStatisticsReport

    public KeyStatisticsReport(ReportConfig config)

  Creates a new instance of KeyStatisticsReport

  Parameters:
    `config` - Report configuration.

Method Detail

### getAddCountsForWeek

    public java.util.ArrayList getAddCountsForWeek()

  Getter for Add function counts for each day of the week.

  Returns:
    Array list of Add function counts for each day of the week.

### getDailyTotalsForWeek

    public java.util.ArrayList getDailyTotalsForWeek()

  Getter for Daily Totals for each day of the week.

  Returns:
    Array list of Daily Totals for each day of the week.

### getDeactivateCountsForWeek

    public java.util.ArrayList getDeactivateCountsForWeek()

  Getter for Deactivate function counts for each day of the week.

  Returns:
    Array list of Deactivate function counts for each day of the week.

### getEuidMergeCountsForWeek

    public java.util.ArrayList getEuidMergeCountsForWeek()

  Getter for Euid Merge function counts for each day of the week.

  Returns:
    Array list of Euid Merge function counts for each day of the week.

### getEuidUnmergeCountsForWeek

    public java.util.ArrayList getEuidUnmergeCountsForWeek()

  Getter for Euid Unmerge function counts for each day of the week.

  Returns:
    Array list of Euid Unmerge function counts for each day of the week.

### getLidMergeCountsForWeek

    public java.util.ArrayList getLidMergeCountsForWeek()

  Getter for Lid Merge function counts for each day of the week.

  Returns:
    Array list of Lid Merge function counts for each day of the week.

### getLidTransferCountsForWeek

    public java.util.ArrayList getLidTransferCountsForWeek()

  Getter for Lid Transfer function counts for each day of the week.

  Returns:
    Array list of Lid Transfer function counts for each day of the week.

### getLidUnmergeCountsForWeek

    public java.util.ArrayList getLidUnmergeCountsForWeek()

  Getter for Lid Unmerge function counts for each day of the week.

  Returns:
    Array list of Lid Unmerge function counts for each day of the week.

### getStartDate

    public java.util.Date getStartDate()

  Getter for start date.

  Returns:
    start date.

### getTransactionTotals

    public java.util.ArrayList getTransactionTotals()

  Getter for transaction totals.

  Returns:
    Array list of transaction totals .

### getUpdateCountsForWeek

    public java.util.ArrayList getUpdateCountsForWeek()

  Getter for Update function counts for each day of the week.

  Returns:
    Array list of Update function counts for each day of the week.

### setAddCount

    public void setAddCount(int count)

  Setter for Add count.

  Parameters:
    `count` - Number of Add transactions.

### setAddCountsForWeek

    public void setAddCountsForWeek(java.util.ArrayList countArr)

  Setter for Add function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Add function counts for each day of the week.

### setDailyTotalsForWeek

    public void setDailyTotalsForWeek(java.util.ArrayList countArr)

  Setter for Daily Totals for each day of the week.

  Parameters:
    `countArr` - Array list of Daily Totals for each day of the week.

### setDeactivateCount

    public void setDeactivateCount(int count)

  Setter for Deactivate count.

  Parameters:
    `count` - Number of Deactivate transactions.

### setDeactivateCountsForWeek

    public void setDeactivateCountsForWeek(java.util.ArrayList countArr)

  Setter for Deactivate function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Deactivate function counts for each day of the week.

### setEuidMergeCount

    public void setEuidMergeCount(int count)

  Setter for Euid Merge count.

  Parameters:
    `count` - Number of Euid Merge transactions.

### setEuidMergeCountsForWeek

    public void setEuidMergeCountsForWeek(java.util.ArrayList countArr)

  Setter for Euid Merge function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Euid Merge function counts for each day of the week.

### setEuidUnmergeCount

    public void setEuidUnmergeCount(int count)

  Setter for Euid Unmerge count.

  Parameters:
    `count` - Number of Euid Unmerge transactions.

### setEuidUnmergeCountsForWeek

    public void setEuidUnmergeCountsForWeek(java.util.ArrayList countArr)

  Setter for Euid Unmerge function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Euid Unmerge function counts for each day of the week.

### setLidMergeCount

    public void setLidMergeCount(int count)

  Setter for Lid Merge count.

  Parameters:
    `count` - Number of Lid Merge transactions.

### setLidMergeCountsForWeek

    public void setLidMergeCountsForWeek(java.util.ArrayList countArr)

  Setter for Lid Merge function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Lid Merge function counts for each day of the week.

### setLidTransferCountsForWeek

    public void setLidTransferCountsForWeek(java.util.ArrayList countArr)

  Setter for Lid Transfer function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Lid Transfer function counts for each day of the week.

### setLidUnmergeCount

    public void setLidUnmergeCount(int count)

  Setter for Lid Unmerge count.

  Parameters:
    `count` - Number of Lid Unmerge transactions.

### setLidUnmergeCountsForWeek

    public void setLidUnmergeCountsForWeek(java.util.ArrayList countArr)

  Setter for Lid Unmerge function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Lid Unmerge function counts for each day of the week.

### setResolvedPotDupCount

    public void setResolvedPotDupCount(int count)

  Setter for Resolved Potential Duplicate count.

  Parameters:
    `count` - Number of Resolved Potential Duplicates.

### setStartDate

    public void setStartDate(java.util.Date sDate)

  Setter for start date.

  Parameters:
    `sDate` - Start date of the week.

### setUnresolvedPotDupCount

    public void setUnresolvedPotDupCount(int count)

  Setter for Unresolved Potential Duplicate count.

  Parameters:
    `count` - Number of Unresolved Potential Duplicates.

### setUpdateCountsForWeek

    public void setUpdateCountsForWeek(java.util.ArrayList countArr)

  Setter for Update function counts for each day of the week.

  Parameters:
    `countArr` - Array list of Update function counts for each day of the week.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.